DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Protected Member Functions | List of all members
DiPixelRepresentationTemplate< T > Class Template Reference

Template class to determine pixel representation. More...

Inheritance diagram for DiPixelRepresentationTemplate< T >:

## Public Member Functions
| DiPixelRepresentationTemplate ()
| default constructor
virtual | ~DiPixelRepresentationTemplate ()
| destructor
int | isSigned () const
| check whether template type T is signed or not More...

## Protected Member Functions
virtual EP_Representation | getRepresentation () const
| determine integer representation for template type T More...

## Detailed Description

### template<class T>
class DiPixelRepresentationTemplate< T >

Template class to determine pixel representation.

Size of basic structure, sign-extension

## Member Function Documentation

## ◆ getRepresentation()

template<class T >

virtual EP_Representation DiPixelRepresentationTemplate< T >::getRepresentation | ( |  | ) | const
| inline protected virtual

determine integer representation for template type T

Returns
  integer representation

Reimplemented in DiMonoPixelTemplate< T >, DiMonoPixelTemplate< T3 >, DiMonoOutputPixelTemplate< T1, T2, T3 >, DiInputPixelTemplate< T1, T2 >, DiColorPixelTemplate< T >, DiColorPixelTemplate< T2 >, DiColorPixelTemplate< T3 >, and DiColorOutputPixelTemplate< T1, T2 >.

Referenced by DiColorOutputPixelTemplate< T1, T2 >::getRepresentation(), DiColorPixelTemplate< T >::getRepresentation(), DiInputPixelTemplate< T1, T2 >::getRepresentation(), DiMonoOutputPixelTemplate< T1, T2, T3 >::getRepresentation(), and DiMonoPixelTemplate< T >::getRepresentation().

## ◆ isSigned()

template<class T >

int DiPixelRepresentationTemplate< T >::isSigned | ( |  | ) | const
| inline

check whether template type T is signed or not

Returns
  true if signed, false otherwise

Referenced by DiScaleTemplate< T >::isSigned().

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/dipxrept.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1